function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var React = require('react');
var React__default = _interopDefault(React);
var axios = _interopDefault(require('axios'));
var Cookies = _interopDefault(require('js-cookie'));

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function (n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
function _objectWithoutPropertiesLoose(r, e) {
  if (null == r) return {};
  var t = {};
  for (var n in r) if ({}.hasOwnProperty.call(r, n)) {
    if (-1 !== e.indexOf(n)) continue;
    t[n] = r[n];
  }
  return t;
}

// A type of promise-like that resolves synchronously and supports only one observer

const _iteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.iterator || (Symbol.iterator = Symbol("Symbol.iterator"))) : "@@iterator";

const _asyncIteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.asyncIterator || (Symbol.asyncIterator = Symbol("Symbol.asyncIterator"))) : "@@asyncIterator";

// Asynchronously call a function and send errors to recovery continuation
function _catch(body, recover) {
	try {
		var result = body();
	} catch(e) {
		return recover(e);
	}
	if (result && result.then) {
		return result.then(void 0, recover);
	}
	return result;
}

// Asynchronously await a promise and pass the result to a finally continuation
function _finallyRethrows(body, finalizer) {
	try {
		var result = body();
	} catch (e) {
		return finalizer(true, e);
	}
	if (result && result.then) {
		return result.then(finalizer.bind(null, false), finalizer.bind(null, true));
	}
	return finalizer(false, result);
}

var styles = {"searchWrapper":"_styles-module__searchWrapper__X5gmD","newSearchWrapper":"_styles-module__newSearchWrapper__1eJHA","hidden":"_styles-module__hidden__3o8gR","searchContainer":"_styles-module__searchContainer__28k26","new":"_styles-module__new__2aIi7","mobileExpanded":"_styles-module__mobileExpanded__2XKK_","hasInput":"_styles-module__hasInput__mjU27","placeholderImage":"_styles-module__placeholderImage__C1RIC","aiSearchBarHeader":"_styles-module__aiSearchBarHeader__2h53C","expanded":"_styles-module__expanded__oR82x","expandWidth":"_styles-module__expandWidth__1IGQ5","contract":"_styles-module__contract__1k5sb","contractWidth":"_styles-module__contractWidth__15Cf2","expandWidthMobile":"_styles-module__expandWidthMobile__3vCsC","contractWidthMobile":"_styles-module__contractWidthMobile__2TBaT","expandWidthMobileSmall":"_styles-module__expandWidthMobileSmall__2weP5","contractWidthMobileSmall":"_styles-module__contractWidthMobileSmall__1zvR6","slideTop":"_styles-module__slideTop__1WtVX","slideUp":"_styles-module__slideUp__1VsJA","slideDown":"_styles-module__slideDown__3UPkY","searchInputWrapper":"_styles-module__searchInputWrapper__3DOOZ","imageIcon":"_styles-module__imageIcon__1QklG","imageIconRounded":"_styles-module__imageIconRounded__3gTre","searchIcon":"_styles-module__searchIcon__1dkPH","newSearchIcon":"_styles-module__newSearchIcon__3VAyA","aiSearchBarInput":"_styles-module__aiSearchBarInput__XZ4xA","inputContracted":"_styles-module__inputContracted__1J7tc","placeholderHidden":"_styles-module__placeholderHidden__3Pehp","searchCross":"_styles-module__searchCross__2XiuY","aiSearchResultsContainer":"_styles-module__aiSearchResultsContainer__3QE01","visibile":"_styles-module__visibile__yTLpl","visibility":"_styles-module__visibility__is2hG","aiSearchBarResponse":"_styles-module__aiSearchBarResponse__2k1Dz","hideOverFlow":"_styles-module__hideOverFlow__3BUWg","aiSearchBarLink":"_styles-module__aiSearchBarLink__Przy1","aiSearchBarLinkContent":"_styles-module__aiSearchBarLinkContent__FRhg_","description":"_styles-module__description__2beoD","linkIcon":"_styles-module__linkIcon__2Ipdz","crossIcon":"_styles-module__crossIcon__3PElL","loadingContainer":"_styles-module__loadingContainer__2sHoC","baseStarDiv":"_styles-module__baseStarDiv__12fMq","baseStar":"_styles-module__baseStar__3Ec_r","rotate":"_styles-module__rotate__3MLtR","overlayStars":"_styles-module__overlayStars__2_fR2","star":"_styles-module__star__2Hl1u","starSequence":"_styles-module__starSequence__3WPEa","skeletonSquare":"_styles-module__skeletonSquare__1jWe3","skeleton-loading":"_styles-module__skeleton-loading__2sSEg","skeleton":"_styles-module__skeleton__1Vpvz","skeletonSquareContainer":"_styles-module__skeletonSquareContainer__36DtD","searchOuterContainer":"_styles-module__searchOuterContainer__30E_W","fadeInSearchContainer":"_styles-module__fadeInSearchContainer__1SnXV","wrapper":"_styles-module__wrapper__1I_qj","searchResultContainer":"_styles-module__searchResultContainer__5W-R6","searchContainerGrid":"_styles-module__searchContainerGrid__31fbC","searchResultCard":"_styles-module__searchResultCard__3xlc9","noImage":"_styles-module__noImage__Id3xO","searchResultImage":"_styles-module__searchResultImage__3Qce0","pdfImagePlaceholder":"_styles-module__pdfImagePlaceholder__252Nl","NoImagePlaceholder":"_styles-module__NoImagePlaceholder__3fb0Z","searchResultContent":"_styles-module__searchResultContent__3t_sm","searchResultTitle":"_styles-module__searchResultTitle__14jkp","searchResultDescription":"_styles-module__searchResultDescription__13P0p","bottom":"_styles-module__bottom__2BlAx","searchResultReadMore":"_styles-module__searchResultReadMore__HJtJ6","closeIcon":"_styles-module__closeIcon__2IJEr","backdrop":"_styles-module__backdrop__2Xnd5","loadeRounded":"_styles-module__loadeRounded__reqKi","spin":"_styles-module__spin__1sp4O","voiceWave":"_styles-module__voiceWave__1W0Kf","wave":"_styles-module__wave__AQ3Fh","sineWave":"_styles-module__sineWave__2vstD","expandSearchWrapper":"_styles-module__expandSearchWrapper__1l_2m","minorSlideUp":"_styles-module__minorSlideUp__3BRB1"};

var _excluded = ["userIdDetails", "analyticsCapturingDetails", "theme"];
var decodeJWT = function decodeJWT(token) {
  try {
    var parts = token.split('.');
    if (parts.length !== 3) {
      throw new Error('Invalid JWT token format');
    }
    var payload = parts[1];
    var base64 = payload.replace(/-/g, '+').replace(/_/g, '/');
    var paddedBase64 = base64.padEnd(base64.length + (4 - base64.length % 4) % 4, '=');
    var jsonPayload = decodeURIComponent(atob(paddedBase64).split('').map(function (c) {
      return '%' + ('00' + c.charCodeAt(0).toString(16)).slice(-2);
    }).join(''));
    return JSON.parse(jsonPayload);
  } catch (error) {
    console.error('Failed to decode JWT:', error);
    return null;
  }
};
var SearchIcon = 'https://res.cloudinary.com/dyhcgyoop/image/upload/v1742893541/Group_72837222_b6jryy.svg';
var PdfPlaceholder = 'https://res.cloudinary.com/dlvrzhwnw/image/upload/v1744381757/document_16509261_jbeuef.png';
var NoImagePlaceholder = 'https://res.cloudinary.com/dlvrzhwnw/image/upload/v1744383738/photo_15631757_glb8vn.png';
var SearchBar = function SearchBar(_ref) {
  var _window, _window$location, _window2, _window2$location, _result$relatedData, _result$relatedData2;
  var _ref$userIdDetails = _ref.userIdDetails,
    userIdDetailsProp = _ref$userIdDetails === void 0 ? {} : _ref$userIdDetails,
    _ref$analyticsCapturi = _ref.analyticsCapturingDetails,
    analyticsCapturingDetailsProp = _ref$analyticsCapturi === void 0 ? {} : _ref$analyticsCapturi,
    _ref$theme = _ref.theme,
    themeProp = _ref$theme === void 0 ? {} : _ref$theme,
    rest = _objectWithoutPropertiesLoose(_ref, _excluded);
  function captureAnalyticsUserIds(analyticsCapturingDetails) {
    var results = {
      googleAnalyticsUserId: null,
      adobeAnalyticsUserId: null,
      tealiumUserId: null
    };
    function getCookie(name) {
      var match = document.cookie.match(new RegExp('(^| )' + name + '=([^;]+)'));
      return match ? match[2] : null;
    }
    if ((analyticsCapturingDetails === null || analyticsCapturingDetails === void 0 ? void 0 : analyticsCapturingDetails.googleAnalyticsId) === 'yes') {
      var gaCookie = getCookie('_ga');
      if (gaCookie) {
        var gaUserId = gaCookie.split('.').slice(-2).join('.');
        results.googleAnalyticsUserId = gaUserId;
      }
    }
    if ((analyticsCapturingDetails === null || analyticsCapturingDetails === void 0 ? void 0 : analyticsCapturingDetails.adobeAnalyticsId) === 'yes') {
      var cookies = document.cookie.split(';');
      var adobeCookie = cookies.find(function (cookie) {
        return cookie.trim().startsWith('AMCV_');
      });
      if (adobeCookie) {
        results.adobeAnalyticsUserId = adobeCookie.trim().split('=')[1] || null;
      }
    }
    if ((analyticsCapturingDetails === null || analyticsCapturingDetails === void 0 ? void 0 : analyticsCapturingDetails.tealiumAnalyticsId) === 'yes') {
      var tealiumCookie = getCookie('utag_main');
      if (tealiumCookie) {
        var tealiumUserId = tealiumCookie.split('|')[1];
        results.tealiumUserId = tealiumUserId;
      }
    }
    return results;
  }
  var getBrowserInfo = function getBrowserInfo() {
    var userAgent = navigator.userAgent;
    var browserName;
    var browserVersion;
    if (window.navigator.brave && typeof window.navigator.brave.isBrave === 'function') {
      var _userAgent$match;
      browserName = 'Brave';
      browserVersion = ((_userAgent$match = userAgent.match(/Chrome\/([0-9.]+)/)) === null || _userAgent$match === void 0 ? void 0 : _userAgent$match[1]) || 'Unknown';
    } else if (userAgent.includes('Edg/')) {
      browserName = 'Edge';
      browserVersion = userAgent.match(/Edg\/([0-9.]+)/)[1];
    } else if (userAgent.includes('Firefox')) {
      browserName = 'Firefox';
      browserVersion = userAgent.match(/Firefox\/([0-9.]+)/)[1];
    } else if (userAgent.includes('Chrome') && !userAgent.includes('Edg/')) {
      browserName = 'Chrome';
      browserVersion = userAgent.match(/Chrome\/([0-9.]+)/)[1];
    } else if (userAgent.includes('Safari') && !userAgent.includes('Chrome')) {
      browserName = 'Safari';
      browserVersion = userAgent.match(/Version\/([0-9.]+)/)[1];
    } else if (userAgent.includes('MSIE') || userAgent.includes('Trident/')) {
      browserName = 'Internet Explorer';
      browserVersion = userAgent.match(/(MSIE |rv:)([0-9.]+)/)[2];
    } else if (userAgent.includes('OPR')) {
      browserName = 'Opera';
      browserVersion = userAgent.match(/OPR\/([0-9.]+)/)[1];
    } else {
      browserName = 'Unknown';
      browserVersion = 'Unknown';
    }
    return {
      name: browserName,
      version: browserVersion,
      userAgent: userAgent
    };
  };
  var browserInfo = getBrowserInfo();
  var isSafariVersionSupported = function isSafariVersionSupported() {
    if (browserInfo.name === 'Safari') {
      var version = parseFloat(browserInfo.version);
      return version >= 17;
    }
    return true;
  };
  var isVersionSupported = isSafariVersionSupported();
  function startVoiceInput(_ref2) {
    var onComplete = _ref2.onComplete,
      _ref2$lang = _ref2.lang,
      lang = _ref2$lang === void 0 ? 'en-US' : _ref2$lang;
    var SpeechRecognition = window.SpeechRecognition || window.webkitSpeechRecognition;
    if (!SpeechRecognition) {
      alert('Your browser does not support Speech Recognition.');
      setIsVoiceListening(false);
      return;
    }
    var recognition = new SpeechRecognition();
    recognition.lang = lang;
    recognition.interimResults = false;
    recognition.continuous = false;
    recognition.onresult = function (event) {
      var transcript = event.results[0][0].transcript;
      if (onComplete && typeof onComplete === 'function') {
        onComplete(transcript);
      }
    };
    recognition.onerror = function (event) {
      console.error('Speech recognition error:', event.error);
      setIsVoiceListening(false);
      setIsVoiceLoading(false);
    };
    recognition.onend = function () {
      setIsVoiceListening(false);
      setIsVoiceLoading(false);
    };
    recognition.start();
  }
  var _useState = React.useState(false),
    isVoiceSearchQuery = _useState[0],
    setIsVoiceSearchQuery = _useState[1];
  var _useState2 = React.useState(false),
    isVoiceListening = _useState2[0],
    setIsVoiceListening = _useState2[1];
  var _useState3 = React.useState(false),
    isVoiceLoading = _useState3[0],
    setIsVoiceLoading = _useState3[1];
  var handleVoiceClick = function handleVoiceClick() {
    setIsVoiceSearchQuery(false);
    setIsVoiceListening(true);
    setIsVoiceLoading(true);
    startVoiceInput({
      onComplete: function onComplete(finalText) {
        setSearchQuery(finalText);
        setIsVoiceSearchQuery(true);
        setIsVoiceListening(false);
      }
    });
  };
  React.useEffect(function () {
    if (isVoiceSearchQuery) {
      handleSearch();
    }
  }, [isVoiceSearchQuery]);
  var placeholder = ['Ask me anything...', 'How can I help you?', 'What do you need help finding?', 'Seeking inspiration? Let us assist you.', 'What product or topic interests you?'];
  var baseUrl = 'https://api-qa.seekrs.ai';
  var Url = (_window = window) === null || _window === void 0 ? void 0 : (_window$location = _window.location) === null || _window$location === void 0 ? void 0 : _window$location.href;
  var currentPage = (_window2 = window) === null || _window2 === void 0 ? void 0 : (_window2$location = _window2.location) === null || _window2$location === void 0 ? void 0 : _window2$location.href;
  var sessionCookie = Cookies.get('session');
  var sessionData = sessionCookie ? JSON.parse(sessionCookie) : null;
  var _useState4 = React.useState(false),
    isExpanded = _useState4[0],
    setIsExpanded = _useState4[1];
  var _useState5 = React.useState(''),
    searchQuery = _useState5[0],
    setSearchQuery = _useState5[1];
  var _useState6 = React.useState(false),
    boxVisible = _useState6[0],
    setBoxVisible = _useState6[1];
  var _useState7 = React.useState({}),
    result = _useState7[0],
    setResult = _useState7[1];
  var _useState8 = React.useState(''),
    ragSession = _useState8[0],
    setRagSession = _useState8[1];
  var _useState9 = React.useState(false),
    newSearch = _useState9[0],
    setNewSearch = _useState9[1];
  var _useState10 = React.useState(false),
    loading = _useState10[0],
    setLoading = _useState10[1];
  var _useState11 = React.useState(false),
    isContracted = _useState11[0],
    setIsContracted = _useState11[1];
  var _useState12 = React.useState(false),
    hasInteracted = _useState12[0],
    setHasInteracted = _useState12[1];
  var _useState13 = React.useState(false),
    slideDown = _useState13[0],
    setSlideDown = _useState13[1];
  var _useState14 = React.useState(false),
    slidedDown = _useState14[0],
    setSlidedDown = _useState14[1];
  var resultsContainerRef = React.useRef(null);
  var resultInputRef = React.useRef(null);
  var _useState15 = React.useState(0),
    currentPlaceholderIndex = _useState15[0],
    setCurrentPlaceholderIndex = _useState15[1];
  var _useState16 = React.useState(true),
    showPlaceholder = _useState16[0],
    setShowPlaceholder = _useState16[1];
  var _useState17 = React.useState({
      primaryColor: '#2c9adf',
      secondaryColor: '#2C9ADF80',
      shadowColor: '#2C9ADF40',
      imageURL: 'https://res.cloudinary.com/dyhcgyoop/image/upload/v1742889067/placeholder_image_eyqzla.png',
      placement: 'left',
      fontInherit: true,
      showImages: false
    }),
    themes = _useState17[0],
    setThemes = _useState17[1];
  var _useState18 = React.useState(false),
    isKeyboardOpen = _useState18[0],
    setIsKeyboardOpen = _useState18[1];
  var _useState19 = React.useState(false),
    containerVisibility = _useState19[0],
    setContainerVisibility = _useState19[1];
  var _useState20 = React.useState(false),
    isMobileExpanded = _useState20[0],
    setIsMobileExpanded = _useState20[1];
  var _useState21 = React.useState(false),
    isInputFocused = _useState21[0],
    setIsInputFocused = _useState21[1];
  var currentPlaceholder = Array.isArray(placeholder) ? placeholder[currentPlaceholderIndex] : placeholder;
  var handleToggle = function handleToggle() {
    setIsExpanded(function (prev) {
      return !prev;
    });
    setIsContracted(function (prev) {
      return !prev;
    });
  };
  var handleSearch = function handleSearch() {
    setContainerVisibility(true);
    if (searchQuery.trim() !== '') {
      setNewSearch(true);
      if (resultsContainerRef.current) {
        resultsContainerRef.current.style.display = 'block';
        setBoxVisible(true);
      }
    } else {
      if (resultsContainerRef.current) {
        resultsContainerRef.current.style.display = 'none';
      }
    }
  };
  var closeSearch = function closeSearch() {
    if (!boxVisible) {
      setSlidedDown(false);
      handleToggle();
      setBoxVisible(false);
    }
  };
  var handleKeyPress = function handleKeyPress(e) {
    if (e.key === 'Enter') {
      handleSearch();
    }
  };
  var removeSearchQuery = function removeSearchQuery() {
    setSearchQuery('');
    setBoxVisible(false);
    setIsMobileExpanded(false);
  };
  var removeSearchResponse = function removeSearchResponse() {
    setBoxVisible(false);
    setSearchQuery('');
  };
  var handleClick = function handleClick(pageUrl, id) {
    axios.post(baseUrl + "/api/clicks/" + (sessionData === null || sessionData === void 0 ? void 0 : sessionData.website), {
      productId: id,
      url: pageUrl
    }).then(function () {})["catch"](function (error) {
      console.error('API error:', error);
    });
  };
  var getUserId = function getUserId(userIdDetails) {
    if (userIdDetails === void 0) {
      userIdDetails = {};
    }
    var _userIdDetails = userIdDetails,
      userIdLocation = _userIdDetails.userIdLocation,
      storedInJwt = _userIdDetails.storedInJwt,
      jwtVariableName = _userIdDetails.jwtVariableName,
      userIdVariableName = _userIdDetails.userIdVariableName;
    var storedValue;
    switch (userIdLocation) {
      case 'localStorage':
        storedValue = localStorage.getItem(storedInJwt === 'yes' ? jwtVariableName : userIdVariableName);
        break;
      case 'sessionStorage':
        storedValue = sessionStorage.getItem(storedInJwt === 'yes' ? jwtVariableName : userIdVariableName);
        break;
      case 'cookie':
        storedValue = Cookies.get(storedInJwt === 'yes' ? jwtVariableName : userIdVariableName);
        break;
      default:
        storedValue = null;
    }
    if (storedInJwt === 'yes' && storedValue) {
      try {
        var decoded = decodeJWT(storedValue);
        return (decoded === null || decoded === void 0 ? void 0 : decoded.userId) || null;
      } catch (err) {
        console.error('Failed to decode JWT:', err);
        return null;
      }
    }
    return storedValue != null ? storedValue : null;
  };
  var getPublicIP = function getPublicIP() {
    try {
      return Promise.resolve(_catch(function () {
        return Promise.resolve(axios.get('https://api.ipify.org?format=json')).then(function (response) {
          return response.data.ip;
        });
      }, function (error) {
        console.error('Failed to fetch IP:', error);
      }));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  React.useEffect(function () {
    if (Url) {
      var newTheme = {};
      switch (true) {
        case Url.includes('giridharpaiassociates'):
          newTheme = {
            primaryColor: '#97B412',
            secondaryColor: '#97B41280',
            shadowColor: '#97b41240',
            imageURL: 'https://res.cloudinary.com/dyhcgyoop/image/upload/v1742888889/gpa_ad23da.png',
            placement: 'left',
            fontInherit: true,
            showImages: false
          };
          break;
        case Url.includes('primevp'):
          newTheme = {
            primaryColor: '#FF7900',
            secondaryColor: '#FF790080',
            shadowColor: '#FF790040',
            imageURL: 'https://res.cloudinary.com/dyhcgyoop/image/upload/v1742903106/LOGO_bcwpn4.png',
            placement: 'center',
            fontInherit: true,
            showImages: false
          };
          break;
        case Url.includes('ethinos'):
          newTheme = {
            primaryColor: '#000000',
            secondaryColor: '#00000080',
            shadowColor: '#00000040',
            imageURL: 'https://res.cloudinary.com/dyhcgyoop/image/upload/v1743066570/Mask_group_1_vsknj2.png',
            placement: 'center',
            fontInherit: true,
            showImages: false
          };
          break;
        case Url.includes('tunica'):
          newTheme = {
            primaryColor: '#F40F0F',
            secondaryColor: '#F40F0F80',
            shadowColor: '#F40F0F40',
            imageURL: 'https://res.cloudinary.com/dyhcgyoop/image/upload/v1743067153/Group_7064_qgu3i4.png',
            placement: 'center',
            fontInherit: true,
            showImages: true
          };
          break;
        default:
          newTheme = themeProp !== null && themeProp !== void 0 && themeProp.primaryColor ? themeProp : {
            primaryColor: '#2c9adf',
            secondaryColor: '#2C9ADF80',
            shadowColor: '#2C9ADF40',
            imageURL: 'https://res.cloudinary.com/dyhcgyoop/image/upload/v1742889067/placeholder_image_eyqzla.png',
            placement: 'center',
            fontInherit: true,
            showImages: false
          };
      }
      setThemes(newTheme);
      document.documentElement.style.setProperty('--primaryColor', newTheme.primaryColor);
      document.documentElement.style.setProperty('--secondaryColor', newTheme.secondaryColor);
      document.documentElement.style.setProperty('--shadowColor', newTheme.shadowColor);
      document.documentElement.style.setProperty('--inheritFontFamily', newTheme.fontInherit ? 'inherit' : 'Helvetica, Arial, sans-serif');
    }
  }, [Url]);
  React.useEffect(function () {
    if (Array.isArray(placeholder) && placeholder.length > 1) {
      var timer = setInterval(function () {
        setShowPlaceholder(false);
        setTimeout(function () {
          setCurrentPlaceholderIndex(function (prevIndex) {
            return (prevIndex + 1) % placeholder.length;
          });
          setShowPlaceholder(true);
        }, 300);
      }, 3000);
      return function () {
        return clearInterval(timer);
      };
    }
  }, [placeholder]);
  React.useEffect(function () {
    if (!searchQuery) {
      setResult({});
      setContainerVisibility(false);
      if (document.activeElement !== resultInputRef.current) {
        setBoxVisible(false);
      }
    }
  }, [searchQuery]);
  React.useEffect(function () {
    var postData = function postData() {
      try {
        setHasInteracted(true);
        var currentPageNoSlash = currentPage.endsWith('/') ? currentPage.slice(0, -1) : currentPage;
        var userId = getUserId(userIdDetailsProp);
        var _temp = _finallyRethrows(function () {
          return _catch(function () {
            var _sessionData$session, _sessionData$session2;
            setLoading(true);
            return Promise.resolve(axios.post(baseUrl + "/api/searches/" + (sessionData === null || sessionData === void 0 ? void 0 : sessionData.website), {
              query: searchQuery,
              sessionId: sessionData === null || sessionData === void 0 ? void 0 : (_sessionData$session = sessionData.session) === null || _sessionData$session === void 0 ? void 0 : _sessionData$session.id,
              userUuid: sessionData === null || sessionData === void 0 ? void 0 : (_sessionData$session2 = sessionData.session) === null || _sessionData$session2 === void 0 ? void 0 : _sessionData$session2.userId,
              ragSession: ragSession,
              currentPage: currentPageNoSlash,
              clientUserId: userId
            })).then(function (response) {
              setResult(response.data);
              setRagSession(response.data.ragSession);
            });
          }, function () {});
        }, function (_wasThrown, _result2) {
          setLoading(false);
          setIsVoiceLoading(false);
          if (_wasThrown) throw _result2;
          return _result2;
        });
        return Promise.resolve(_temp && _temp.then ? _temp.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    };
    if (newSearch) {
      postData();
    }
    return function () {
      setNewSearch(false);
    };
  }, [newSearch]);
  React.useEffect(function () {
    var createSession = function createSession() {
      try {
        var _temp2 = _catch(function () {
          var currentUrl = Url.endsWith('/') ? Url.slice(0, -1) : Url;
          var requestBody;
          var userId = getUserId(userIdDetailsProp);
          return Promise.resolve(getPublicIP()).then(function (publicIp) {
            var results = captureAnalyticsUserIds(analyticsCapturingDetailsProp);
            if (sessionData) {
              var _sessionData$session3, _sessionData$session4;
              requestBody = {
                websiteUrl: currentUrl,
                sessionId: sessionData === null || sessionData === void 0 ? void 0 : (_sessionData$session3 = sessionData.session) === null || _sessionData$session3 === void 0 ? void 0 : _sessionData$session3.id,
                userUuid: sessionData === null || sessionData === void 0 ? void 0 : (_sessionData$session4 = sessionData.session) === null || _sessionData$session4 === void 0 ? void 0 : _sessionData$session4.userId,
                clientUserId: userId
              };
            } else {
              requestBody = {
                websiteUrl: currentUrl,
                clientUserId: userId,
                ipAddress: publicIp,
                googleAnalyticsId: results === null || results === void 0 ? void 0 : results.googleAnalyticsUserId,
                adobeAnalyticsId: results === null || results === void 0 ? void 0 : results.adobeAnalyticsUserId,
                tealiumId: results === null || results === void 0 ? void 0 : results.tealiumUserId
              };
            }
            return Promise.resolve(axios.post(baseUrl + "/api/sessions", _extends({}, requestBody))).then(function (response) {
              if (response.data) {
                var session = response.data;
                Cookies.set('session', JSON.stringify(session), {
                  expires: 30
                });
              }
            });
          });
        }, function (error) {
          console.error('Error creating session:', error);
        });
        return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
      } catch (e) {
        return Promise.reject(e);
      }
    };
    createSession();
  }, [window.location.href]);
  React.useEffect(function () {
    setTimeout(function () {
      setIsExpanded(true);
    }, 1000);
  }, []);
  React.useEffect(function () {
    var inputElement = resultInputRef.current;
    var handleFocus = function handleFocus() {
      setIsKeyboardOpen(true);
      setIsContracted(false);
      setIsExpanded(true);
      if (inputElement) {
        var rect = inputElement.getBoundingClientRect();
        var isInView = rect.top >= 0 && rect.left >= 0 && rect.bottom <= (window.innerHeight || document.documentElement.clientHeight) && rect.right <= (window.innerWidth || document.documentElement.clientWidth);
        if (!isInView) {
          var scrollAmount = rect.bottom - (window.innerHeight - 100);
          if (scrollAmount > 0) {
            window.scrollBy({
              top: scrollAmount,
              behavior: 'smooth'
            });
          }
        }
      }
    };
    var handleBlur = function handleBlur(e) {
      if (e.relatedTarget !== inputElement) {
        setIsKeyboardOpen(false);
      }
    };
    var handleScroll = function handleScroll() {
      if (!inputElement) return;
      if (window.scrollY === 0) {
        if (!searchQuery) {
          setIsExpanded(true);
          setIsContracted(false);
        }
        setSlidedDown(false);
      } else {
        if (!boxVisible) {
          setSlidedDown(false);
          if (!isKeyboardOpen) {
            setIsContracted(true);
            setIsExpanded(false);
          }
        }
      }
    };
    if (inputElement) {
      inputElement.addEventListener('focus', handleFocus);
      inputElement.addEventListener('blur', handleBlur);
    }
    window.addEventListener('scroll', handleScroll, {
      passive: true
    });
    return function () {
      window.removeEventListener('scroll', handleScroll);
      if (inputElement) {
        inputElement.removeEventListener('focus', handleFocus);
        inputElement.removeEventListener('blur', handleBlur);
      }
    };
  }, [boxVisible, searchQuery, isKeyboardOpen]);
  React.useEffect(function () {
    var inputElement = resultInputRef.current;
    if (!inputElement) return;
    var handleTouchStart = function handleTouchStart(e) {
      e.preventDefault();
      inputElement.focus();
    };
    var handleClick = function handleClick(e) {
      e.preventDefault();
      inputElement.focus();
    };
    inputElement.addEventListener('touchstart', handleTouchStart, {
      passive: false
    });
    inputElement.addEventListener('click', handleClick, {
      passive: false
    });
    return function () {
      inputElement.removeEventListener('touchstart', handleTouchStart);
      inputElement.removeEventListener('click', handleClick);
    };
  }, []);
  var handleInputChange = function handleInputChange(e) {
    setSearchQuery(e.target.value);
    setIsContracted(false);
    setIsExpanded(true);
  };
  React.useEffect(function () {
    if (!boxVisible && hasInteracted) {
      setSlideDown(true);
      setSlidedDown(true);
      setHasInteracted(false);
    } else {
      setSlideDown(false);
    }
  }, [searchQuery, boxVisible]);
  return themes.placement === 'left' ? /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchWrapper + " " + (boxVisible ? styles.hidden : '') + " "
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchContainer + " "
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.aiSearchBarHeader + " \n            " + (slidedDown ? '' : isContracted ? styles.contract : isExpanded ? styles.expanded : '') + "\n    " + (boxVisible ? styles.slideTop : '') + " \n    " + (slideDown && slidedDown ? styles.slideDown : '')
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchInputWrapper + " "
  }, /*#__PURE__*/React__default.createElement("span", {
    className: styles.imageIconRounded,
    onClick: function onClick() {
      closeSearch();
    }
  }, /*#__PURE__*/React__default.createElement("img", {
    src: themes === null || themes === void 0 ? void 0 : themes.imageURL,
    className: styles.placeholderImage
  })), /*#__PURE__*/React__default.createElement("input", {
    type: "text",
    ref: resultInputRef,
    id: "ai-search-bar",
    className: styles.aiSearchBarInput + " " + (showPlaceholder ? '' : styles.placeholderHidden) + " " + (isContracted ? styles.inputContracted : ''),
    placeholder: isVoiceListening ? 'Listening...' : currentPlaceholder || 'Hi, How can I help you?',
    value: searchQuery,
    onChange: handleInputChange,
    onKeyPress: handleKeyPress,
    disabled: isContracted && !isKeyboardOpen,
    autoComplete: "off",
    autoCorrect: "off"
  }), /*#__PURE__*/React__default.createElement("span", {
    className: styles.searchIcon
  }, searchQuery && /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchCross,
    onClick: removeSearchQuery,
    style: {
      marginRight: '8px'
    }
  }, /*#__PURE__*/React__default.createElement("svg", {
    width: "10",
    height: "11",
    viewBox: "0 0 10 11",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M9 1.5L1 9.5M1 1.5L9 9.5",
    stroke: themes === null || themes === void 0 ? void 0 : themes.primaryColor,
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }))), isVersionSupported && browserInfo.name !== 'Brave' && (isVoiceListening ? /*#__PURE__*/React__default.createElement("div", {
    style: {
      paddingRight: '12px'
    }
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.voiceWave
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.wave
  }), /*#__PURE__*/React__default.createElement("div", {
    className: styles.wave
  }), /*#__PURE__*/React__default.createElement("div", {
    className: styles.wave
  }))) : isVoiceLoading ? /*#__PURE__*/React__default.createElement("div", {
    style: {
      paddingRight: '12px'
    }
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.loadeRounded
  })) : /*#__PURE__*/React__default.createElement("div", {
    onClick: handleVoiceClick,
    style: {
      paddingRight: '14px'
    }
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.newSearchIcon
  }, /*#__PURE__*/React__default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    fill: "#ffffff",
    viewBox: "0 0 24 24"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M12 14a3 3 0 0 0 3-3V5a3 3 0 0 0-6 0v6a3 3 0 0 0 3 3zm5-3a5 5 0 0 1-10 0H5a7 7 0 0 0 14 0h-2zm-5 9a7 7 0 0 0 7-7h-2a5 5 0 0 1-10 0H5a7 7 0 0 0 7 7zm-1-4h2v4h-2v-4z"
  }))))), /*#__PURE__*/React__default.createElement("div", {
    onClick: handleSearch
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.newSearchIcon
  }, /*#__PURE__*/React__default.createElement("img", {
    src: SearchIcon,
    alt: "search",
    style: {
      height: '23px',
      width: '23px'
    }
  })))))), searchQuery && /*#__PURE__*/React__default.createElement("div", {
    className: styles.aiSearchResultsContainer + " " + (boxVisible ? styles.visibile : '') + " ",
    ref: resultsContainerRef
  }, loading ? /*#__PURE__*/React__default.createElement("div", {
    className: styles.loadingContainer
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles === null || styles === void 0 ? void 0 : styles.baseStarDiv
  }, /*#__PURE__*/React__default.createElement("svg", {
    width: "268",
    height: "267",
    viewBox: "0 0 268 267",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    className: styles.baseStar
  }, /*#__PURE__*/React__default.createElement("g", {
    opacity: "0.3"
  }, /*#__PURE__*/React__default.createElement("g", {
    filter: "url(#filter0_f_1988_3526)"
  }, /*#__PURE__*/React__default.createElement("circle", {
    cx: "133.79",
    cy: "133.589",
    r: "99.1225",
    transform: "rotate(58.73 133.79 133.589)",
    fill: "url(#paint0_linear_1988_3526)"
  })), /*#__PURE__*/React__default.createElement("g", {
    filter: "url(#filter1_f_1988_3526)"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M123 92.9454C154.602 84.4777 183.52 113.395 175.052 144.997V144.997C166.584 176.599 127.082 187.183 103.948 164.049V164.049C80.8139 140.915 91.3985 101.413 123 92.9454V92.9454Z",
    fill: "url(#paint1_linear_1988_3526)"
  }))), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("filter", {
    id: "filter0_f_1988_3526",
    x: "0.383385",
    y: "0.183189",
    width: "266.813",
    height: "266.813",
    filterUnits: "userSpaceOnUse",
    colorInterpolationFilters: "sRGB"
  }, /*#__PURE__*/React__default.createElement("feFlood", {
    floodOpacity: "0",
    result: "BackgroundImageFix"
  }), /*#__PURE__*/React__default.createElement("feBlend", {
    mode: "normal",
    "in": "SourceGraphic",
    in2: "BackgroundImageFix",
    result: "shape"
  }), /*#__PURE__*/React__default.createElement("feGaussianBlur", {
    stdDeviation: "17.135",
    result: "effect1_foregroundBlur_1988_3526"
  })), /*#__PURE__*/React__default.createElement("filter", {
    id: "filter1_f_1988_3526",
    x: "65.7712",
    y: "65.7507",
    width: "136.476",
    height: "136.475",
    filterUnits: "userSpaceOnUse",
    colorInterpolationFilters: "sRGB"
  }, /*#__PURE__*/React__default.createElement("feFlood", {
    floodOpacity: "0",
    result: "BackgroundImageFix"
  }), /*#__PURE__*/React__default.createElement("feBlend", {
    mode: "normal",
    "in": "SourceGraphic",
    in2: "BackgroundImageFix",
    result: "shape"
  }), /*#__PURE__*/React__default.createElement("feGaussianBlur", {
    stdDeviation: "12.8512",
    result: "effect1_foregroundBlur_1988_3526"
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_1988_3526",
    x1: "55.1593",
    y1: "48.1274",
    x2: "193.518",
    y2: "232.711",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: "#FFD600"
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: "#FF0000",
    stopOpacity: "0"
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_1988_3526",
    x1: "194.104",
    y1: "73.8931",
    x2: "73.8959",
    y2: "194.101",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.23",
    stopColor: "#FF0000",
    stopOpacity: "0.75"
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: "#00FFFF",
    stopOpacity: "0"
  })))), /*#__PURE__*/React__default.createElement("div", {
    className: styles.overlayStars
  }, /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.03 88.8411C109.285 87.8341 110.715 87.834 110.97 88.841L111.425 90.6465C112.767 95.9629 117.172 100.022 122.566 101.007C123.659 101.207 123.659 102.793 122.566 102.993C117.172 103.978 112.767 108.037 111.425 113.353L110.97 115.159C110.715 116.166 109.285 116.166 109.03 115.159L108.575 113.353C107.233 108.037 102.828 103.978 97.4342 102.993C96.3405 102.793 96.3405 101.207 97.4342 101.007C102.828 100.022 107.233 95.9629 108.575 90.6465L109.03 88.8411Z",
    fill: "url(#paint0_linear_2002_62)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M100.305 56.9804C100.401 56.1548 101.599 56.1548 101.695 56.9804L101.813 57.9898C102.172 61.08 104.528 63.5622 107.595 64.0827L108.933 64.3099C109.71 64.4418 109.71 65.5582 108.933 65.6901L107.595 65.9173C104.528 66.4378 102.172 68.92 101.813 72.0102L101.695 73.0196C101.599 73.8452 100.401 73.8452 100.305 73.0196L100.187 72.0102C99.828 68.92 97.4724 66.4378 94.4053 65.9173L93.0668 65.6901C92.2896 65.5582 92.2896 64.4418 93.0668 64.3099L94.4053 64.0827C97.4724 63.5622 99.828 61.08 100.187 57.9898L100.305 56.9804Z",
    fill: "url(#paint1_linear_2002_62)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_62",
    x1: "110",
    y1: "84.4516",
    x2: "110",
    y2: "119.548",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_62",
    x1: "101",
    y1: "53",
    x2: "101",
    y2: "77",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    width: "400",
    height: "400",
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    viewBox: "0 0 150 150",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    opacity: "0.5",
    d: "M55.1757 53.7016C55.2567 53.3596 55.7433 53.3597 55.8243 53.7016L56.2373 55.4436C56.6667 57.2549 58.1314 58.6378 59.9644 58.9624L61.1466 59.1718C61.5135 59.2368 61.5135 59.7632 61.1466 59.8282L59.9644 60.0376C58.1314 60.3622 56.6667 61.7451 56.2373 63.5563L55.8243 65.2984C55.7433 65.6403 55.2567 65.6403 55.1757 65.2984L54.7627 63.5564C54.3333 61.7451 52.8686 60.3622 51.0356 60.0376L49.8534 59.8282C49.4865 59.7632 49.4865 59.2368 49.8534 59.1718L51.0356 58.9624C52.8686 58.6378 54.3333 57.2549 54.7627 55.4436L55.1757 53.7016Z",
    fill: "url(#paint0_linear_2002_75)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M75.6523 35.9902C75.7003 35.5774 76.2997 35.5774 76.3477 35.9902L76.4063 36.4949C76.586 38.04 77.7638 39.2811 79.2973 39.5414L79.9666 39.6549C80.3552 39.7209 80.3552 40.2791 79.9666 40.3451L79.2973 40.4586C77.7638 40.7189 76.586 41.96 76.4063 43.5051L76.3477 44.0098C76.2997 44.4226 75.7003 44.4226 75.6523 44.0098L75.5937 43.5051C75.414 41.96 74.2362 40.7189 72.7027 40.4586L72.0334 40.3451C71.6448 40.2791 71.6448 39.7209 72.0334 39.6549L72.7027 39.5414C74.2362 39.2811 75.414 38.04 75.5937 36.4949L75.6523 35.9902Z",
    fill: "url(#paint1_linear_2002_75)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_75",
    x1: "55.5",
    y1: "52.3333",
    x2: "55.5",
    y2: "66.6667",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_75",
    x1: "76",
    y1: "34",
    x2: "76",
    y2: "46",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.757 96.0201C109.818 95.764 110.182 95.764 110.243 96.0201L110.888 98.7229C111.206 100.06 112.278 101.087 113.627 101.348L115.731 101.755C116.001 101.807 116.001 102.193 115.731 102.245L113.627 102.652C112.278 102.913 111.206 103.94 110.888 105.277L110.243 107.98C110.182 108.236 109.818 108.236 109.757 107.98L109.112 105.277C108.794 103.94 107.722 102.913 106.373 102.652L104.269 102.245C103.999 102.193 103.999 101.807 104.269 101.755L106.373 101.348C107.722 101.087 108.794 100.06 109.112 98.7229L109.757 96.0201Z",
    fill: "url(#paint0_linear_2002_80)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M100.826 62.9951C100.85 62.7887 101.15 62.7887 101.174 62.9951L101.203 63.2475C101.293 64.02 101.882 64.6406 102.649 64.7707L102.983 64.8275C103.178 64.8604 103.178 65.1396 102.983 65.1725L102.649 65.2293C101.882 65.3594 101.293 65.98 101.203 66.7525L101.174 67.0049C101.15 67.2113 100.85 67.2113 100.826 67.0049L100.797 66.7525C100.707 65.98 100.118 65.3594 99.3513 65.2293L99.0167 65.1725C98.8224 65.1396 98.8224 64.8604 99.0167 64.8275L99.3513 64.7707C100.118 64.6406 100.707 64.02 100.797 63.2475L100.826 62.9951Z",
    fill: "url(#paint1_linear_2002_80)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_80",
    x1: "110",
    y1: "94.7742",
    x2: "110",
    y2: "109.226",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_80",
    x1: "101",
    y1: "62",
    x2: "101",
    y2: "68",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.031 89.827C109.285 88.821 110.715 88.821 110.969 89.827L111.323 91.2234C112.605 96.2827 116.721 100.128 121.856 101.063C122.898 101.253 122.898 102.747 121.856 102.937C116.721 103.872 112.605 107.717 111.323 112.777L110.969 114.173C110.715 115.179 109.285 115.179 109.031 114.173L108.677 112.777C107.395 107.717 103.279 103.872 98.1441 102.937C97.1022 102.747 97.1022 101.253 98.1441 101.063C103.279 100.128 107.395 96.2827 108.677 91.2234L109.031 89.827Z",
    fill: "url(#paint0_linear_2002_86)"
  }), /*#__PURE__*/React__default.createElement("path", {
    opacity: "0.5",
    d: "M80.1757 78.7016C80.2567 78.3597 80.7433 78.3597 80.8243 78.7016L81.2373 80.4437C81.6667 82.255 83.1314 83.6378 84.9644 83.9624L86.1466 84.1718C86.5135 84.2368 86.5135 84.7633 86.1466 84.8283L84.9644 85.0376C83.1314 85.3622 81.6667 86.7451 81.2373 88.5564L80.8243 90.2985C80.7433 90.6404 80.2567 90.6404 80.1757 90.2985L79.7627 88.5564C79.3333 86.7451 77.8686 85.3622 76.0356 85.0376L74.8534 84.8283C74.4865 84.7633 74.4865 84.2368 74.8534 84.1718L76.0356 83.9624C77.8686 83.6378 79.3333 82.255 79.7627 80.4437L80.1757 78.7016Z",
    fill: "url(#paint1_linear_2002_86)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_86",
    x1: "110",
    y1: "85.4839",
    x2: "110",
    y2: "118.516",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_86",
    x1: "80.5",
    y1: "77.3334",
    x2: "80.5",
    y2: "91.6667",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.676 92.9819C109.759 92.6436 110.24 92.6436 110.324 92.9819L111.432 97.4858C111.869 99.2629 113.305 100.62 115.104 100.957L118.918 101.672C119.281 101.74 119.281 102.26 118.918 102.328L115.104 103.042C113.305 103.38 111.869 104.737 111.432 106.514L110.324 111.018C110.24 111.356 109.759 111.356 109.676 111.018L108.568 106.514C108.131 104.737 106.695 103.38 104.896 103.042L101.081 102.328C100.719 102.26 100.719 101.74 101.081 101.672L104.896 100.957C106.695 100.62 108.131 99.2629 108.568 97.4858L109.676 92.9819Z",
    fill: "url(#paint0_linear_2002_92)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M79.527 67.1048C79.7701 66.079 81.2299 66.079 81.473 67.1048L82.7119 72.331C84 77.7648 88.3942 81.9135 93.8931 82.8873L97.4398 83.5154C98.5406 83.7103 98.5406 85.2898 97.4398 85.4847L93.8931 86.1128C88.3942 87.0867 84 91.2353 82.7119 96.6691L81.473 101.895C81.2299 102.921 79.7701 102.921 79.527 101.895L78.2881 96.6691C77 91.2353 72.6058 87.0867 67.1069 86.1128L63.5602 85.4847C62.4594 85.2898 62.4594 83.7103 63.5602 83.5154L67.1069 82.8873C72.6058 81.9135 77 77.7648 78.2881 72.331L79.527 67.1048Z",
    fill: "url(#paint1_linear_2002_92)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_92",
    x1: "110",
    y1: "91.3333",
    x2: "110",
    y2: "112.667",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_92",
    x1: "80.5",
    y1: "63.0001",
    x2: "80.5",
    y2: "106",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }))))))) : /*#__PURE__*/React__default.createElement("div", {
    className: styles.aiSearchBarResponse
  }, /*#__PURE__*/React__default.createElement("div", {
    style: {
      cursor: 'pointer'
    },
    onClick: function onClick() {
      removeSearchResponse();
    },
    className: styles.crossIcon
  }, /*#__PURE__*/React__default.createElement("svg", {
    width: "10",
    height: "11",
    viewBox: "0 0 10 11",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M9 1.5L1 9.5M1 1.5L9 9.5",
    stroke: themes === null || themes === void 0 ? void 0 : themes.primaryColor,
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }))), /*#__PURE__*/React__default.createElement("div", {
    className: styles.hideOverFlow
  }, /*#__PURE__*/React__default.createElement("p", {
    style: {
      margin: 0
    }
  }, result === null || result === void 0 ? void 0 : result.sanitizedMessage), result === null || result === void 0 ? void 0 : (_result$relatedData = result.relatedData) === null || _result$relatedData === void 0 ? void 0 : _result$relatedData.map(function (e, index) {
    return e.pageUrl ? /*#__PURE__*/React__default.createElement("div", {
      key: index
    }, /*#__PURE__*/React__default.createElement("div", {
      className: styles.aiSearchBarLink
    }, /*#__PURE__*/React__default.createElement("div", {
      className: styles.linkIcon
    }, /*#__PURE__*/React__default.createElement("svg", {
      style: {
        width: '8px'
      },
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 320 512",
      fill: themes === null || themes === void 0 ? void 0 : themes.primaryColor
    }, /*#__PURE__*/React__default.createElement("path", {
      stroke: themes === null || themes === void 0 ? void 0 : themes.primaryColor,
      d: "M310.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-192 192c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L242.7 256 73.4 86.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l192 192z"
    }))), e !== null && e !== void 0 && e.title ? /*#__PURE__*/React__default.createElement("a", {
      href: e.pageUrl,
      style: {
        margin: 0
      },
      target: "_blank",
      rel: "noopener noreferrer",
      onClick: function onClick() {
        return handleClick(e.pageUrl, e.id);
      }
    }, (e === null || e === void 0 ? void 0 : e.title) || 'No title available') : null), e !== null && e !== void 0 && e.description && (e === null || e === void 0 ? void 0 : e.description) !== 'No description' ? /*#__PURE__*/React__default.createElement("p", {
      className: styles.description
    }, e === null || e === void 0 ? void 0 : e.description) : null) : null;
  })))))) : /*#__PURE__*/React__default.createElement("div", {
    className: "" + (containerVisibility ? styles.backdrop : '')
  }, /*#__PURE__*/React__default.createElement("div", {
    className: "" + styles.newSearchWrapper
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchContainer + " " + styles["new"] + " " + (searchQuery ? styles.hasInput : '') + " " + (isMobileExpanded ? styles.mobileExpanded : '') + " " + (isInputFocused ? styles.hasInput : '')
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.aiSearchBarHeader + "   "
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchInputWrapper + " "
  }, /*#__PURE__*/React__default.createElement("span", {
    className: styles.imageIconRounded,
    onClick: function onClick() {
      if (window.innerWidth <= 450) {
        setIsMobileExpanded(!isMobileExpanded);
      }
    }
  }, /*#__PURE__*/React__default.createElement("img", {
    src: themes === null || themes === void 0 ? void 0 : themes.imageURL,
    className: styles.placeholderImage,
    alt: "logo"
  })), /*#__PURE__*/React__default.createElement("input", {
    type: "text",
    ref: resultInputRef,
    id: "ai-search-bar",
    className: "" + styles.aiSearchBarInput,
    placeholder: isVoiceListening ? 'Listening...' : currentPlaceholder || 'Hi, How can I help you?',
    value: searchQuery,
    onChange: handleInputChange,
    onKeyPress: handleKeyPress,
    onFocus: function onFocus() {
      return setIsInputFocused(true);
    },
    onBlur: function onBlur() {
      return setIsInputFocused(false);
    },
    autoComplete: "off",
    autoCorrect: "off"
  }), /*#__PURE__*/React__default.createElement("span", {
    className: styles.searchIcon
  }, searchQuery && /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchCross,
    onClick: removeSearchQuery,
    style: {
      marginRight: '8px'
    }
  }, /*#__PURE__*/React__default.createElement("svg", {
    width: "10",
    height: "11",
    viewBox: "0 0 10 11",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M9 1.5L1 9.5M1 1.5L9 9.5",
    stroke: themes === null || themes === void 0 ? void 0 : themes.primaryColor,
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  }))), isVersionSupported && browserInfo.name !== 'Brave' && (isVoiceListening ? /*#__PURE__*/React__default.createElement("div", {
    style: {
      paddingRight: '12px'
    }
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.voiceWave
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.wave
  }), /*#__PURE__*/React__default.createElement("div", {
    className: styles.wave
  }), /*#__PURE__*/React__default.createElement("div", {
    className: styles.wave
  }))) : isVoiceLoading ? /*#__PURE__*/React__default.createElement("div", {
    style: {
      paddingRight: '12px'
    }
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.loadeRounded
  })) : /*#__PURE__*/React__default.createElement("div", {
    onClick: handleVoiceClick,
    style: {
      paddingRight: '12px'
    }
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.newSearchIcon
  }, /*#__PURE__*/React__default.createElement("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    width: "24",
    height: "24",
    fill: "#ffffff",
    viewBox: "0 0 24 24"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M12 14a3 3 0 0 0 3-3V5a3 3 0 0 0-6 0v6a3 3 0 0 0 3 3zm5-3a5 5 0 0 1-10 0H5a7 7 0 0 0 14 0h-2zm-5 9a7 7 0 0 0 7-7h-2a5 5 0 0 1-10 0H5a7 7 0 0 0 7 7zm-1-4h2v4h-2v-4z"
  }))))), /*#__PURE__*/React__default.createElement("div", {
    onClick: handleSearch
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.newSearchIcon
  }, /*#__PURE__*/React__default.createElement("img", {
    src: SearchIcon,
    alt: "search",
    style: {
      height: '23px',
      width: '23px'
    }
  })))))))), containerVisibility && (loading ? /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchOuterContainer
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.loadingContainer
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles === null || styles === void 0 ? void 0 : styles.baseStarDiv
  }, /*#__PURE__*/React__default.createElement("svg", {
    width: "268",
    height: "267",
    viewBox: "0 0 268 267",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    className: styles.baseStar
  }, /*#__PURE__*/React__default.createElement("g", {
    opacity: "0.3"
  }, /*#__PURE__*/React__default.createElement("g", {
    filter: "url(#filter0_f_1988_3526)"
  }, /*#__PURE__*/React__default.createElement("circle", {
    cx: "133.79",
    cy: "133.589",
    r: "99.1225",
    transform: "rotate(58.73 133.79 133.589)",
    fill: "url(#paint0_linear_1988_3526)"
  })), /*#__PURE__*/React__default.createElement("g", {
    filter: "url(#filter1_f_1988_3526)"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M123 92.9454C154.602 84.4777 183.52 113.395 175.052 144.997V144.997C166.584 176.599 127.082 187.183 103.948 164.049V164.049C80.8139 140.915 91.3985 101.413 123 92.9454V92.9454Z",
    fill: "url(#paint1_linear_1988_3526)"
  }))), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("filter", {
    id: "filter0_f_1988_3526",
    x: "0.383385",
    y: "0.183189",
    width: "266.813",
    height: "266.813",
    filterUnits: "userSpaceOnUse",
    colorInterpolationFilters: "sRGB"
  }, /*#__PURE__*/React__default.createElement("feFlood", {
    floodOpacity: "0",
    result: "BackgroundImageFix"
  }), /*#__PURE__*/React__default.createElement("feBlend", {
    mode: "normal",
    "in": "SourceGraphic",
    in2: "BackgroundImageFix",
    result: "shape"
  }), /*#__PURE__*/React__default.createElement("feGaussianBlur", {
    stdDeviation: "17.135",
    result: "effect1_foregroundBlur_1988_3526"
  })), /*#__PURE__*/React__default.createElement("filter", {
    id: "filter1_f_1988_3526",
    x: "65.7712",
    y: "65.7507",
    width: "136.476",
    height: "136.475",
    filterUnits: "userSpaceOnUse",
    colorInterpolationFilters: "sRGB"
  }, /*#__PURE__*/React__default.createElement("feFlood", {
    floodOpacity: "0",
    result: "BackgroundImageFix"
  }), /*#__PURE__*/React__default.createElement("feBlend", {
    mode: "normal",
    "in": "SourceGraphic",
    in2: "BackgroundImageFix",
    result: "shape"
  }), /*#__PURE__*/React__default.createElement("feGaussianBlur", {
    stdDeviation: "12.8512",
    result: "effect1_foregroundBlur_1988_3526"
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_1988_3526",
    x1: "55.1593",
    y1: "48.1274",
    x2: "193.518",
    y2: "232.711",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: "#FFD600"
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: "#FF0000",
    stopOpacity: "0"
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_1988_3526",
    x1: "194.104",
    y1: "73.8931",
    x2: "73.8959",
    y2: "194.101",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.23",
    stopColor: "#FF0000",
    stopOpacity: "0.75"
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: "#00FFFF",
    stopOpacity: "0"
  })))), /*#__PURE__*/React__default.createElement("div", {
    className: styles.overlayStars
  }, /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.03 88.8411C109.285 87.8341 110.715 87.834 110.97 88.841L111.425 90.6465C112.767 95.9629 117.172 100.022 122.566 101.007C123.659 101.207 123.659 102.793 122.566 102.993C117.172 103.978 112.767 108.037 111.425 113.353L110.97 115.159C110.715 116.166 109.285 116.166 109.03 115.159L108.575 113.353C107.233 108.037 102.828 103.978 97.4342 102.993C96.3405 102.793 96.3405 101.207 97.4342 101.007C102.828 100.022 107.233 95.9629 108.575 90.6465L109.03 88.8411Z",
    fill: "url(#paint0_linear_2002_62)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M100.305 56.9804C100.401 56.1548 101.599 56.1548 101.695 56.9804L101.813 57.9898C102.172 61.08 104.528 63.5622 107.595 64.0827L108.933 64.3099C109.71 64.4418 109.71 65.5582 108.933 65.6901L107.595 65.9173C104.528 66.4378 102.172 68.92 101.813 72.0102L101.695 73.0196C101.599 73.8452 100.401 73.8452 100.305 73.0196L100.187 72.0102C99.828 68.92 97.4724 66.4378 94.4053 65.9173L93.0668 65.6901C92.2896 65.5582 92.2896 64.4418 93.0668 64.3099L94.4053 64.0827C97.4724 63.5622 99.828 61.08 100.187 57.9898L100.305 56.9804Z",
    fill: "url(#paint1_linear_2002_62)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_62",
    x1: "110",
    y1: "84.4516",
    x2: "110",
    y2: "119.548",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_62",
    x1: "101",
    y1: "53",
    x2: "101",
    y2: "77",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    width: "400",
    height: "400",
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    viewBox: "0 0 150 150",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    opacity: "0.5",
    d: "M55.1757 53.7016C55.2567 53.3596 55.7433 53.3597 55.8243 53.7016L56.2373 55.4436C56.6667 57.2549 58.1314 58.6378 59.9644 58.9624L61.1466 59.1718C61.5135 59.2368 61.5135 59.7632 61.1466 59.8282L59.9644 60.0376C58.1314 60.3622 56.6667 61.7451 56.2373 63.5563L55.8243 65.2984C55.7433 65.6403 55.2567 65.6403 55.1757 65.2984L54.7627 63.5564C54.3333 61.7451 52.8686 60.3622 51.0356 60.0376L49.8534 59.8282C49.4865 59.7632 49.4865 59.2368 49.8534 59.1718L51.0356 58.9624C52.8686 58.6378 54.3333 57.2549 54.7627 55.4436L55.1757 53.7016Z",
    fill: "url(#paint0_linear_2002_75)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M75.6523 35.9902C75.7003 35.5774 76.2997 35.5774 76.3477 35.9902L76.4063 36.4949C76.586 38.04 77.7638 39.2811 79.2973 39.5414L79.9666 39.6549C80.3552 39.7209 80.3552 40.2791 79.9666 40.3451L79.2973 40.4586C77.7638 40.7189 76.586 41.96 76.4063 43.5051L76.3477 44.0098C76.2997 44.4226 75.7003 44.4226 75.6523 44.0098L75.5937 43.5051C75.414 41.96 74.2362 40.7189 72.7027 40.4586L72.0334 40.3451C71.6448 40.2791 71.6448 39.7209 72.0334 39.6549L72.7027 39.5414C74.2362 39.2811 75.414 38.04 75.5937 36.4949L75.6523 35.9902Z",
    fill: "url(#paint1_linear_2002_75)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_75",
    x1: "55.5",
    y1: "52.3333",
    x2: "55.5",
    y2: "66.6667",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_75",
    x1: "76",
    y1: "34",
    x2: "76",
    y2: "46",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.757 96.0201C109.818 95.764 110.182 95.764 110.243 96.0201L110.888 98.7229C111.206 100.06 112.278 101.087 113.627 101.348L115.731 101.755C116.001 101.807 116.001 102.193 115.731 102.245L113.627 102.652C112.278 102.913 111.206 103.94 110.888 105.277L110.243 107.98C110.182 108.236 109.818 108.236 109.757 107.98L109.112 105.277C108.794 103.94 107.722 102.913 106.373 102.652L104.269 102.245C103.999 102.193 103.999 101.807 104.269 101.755L106.373 101.348C107.722 101.087 108.794 100.06 109.112 98.7229L109.757 96.0201Z",
    fill: "url(#paint0_linear_2002_80)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M100.826 62.9951C100.85 62.7887 101.15 62.7887 101.174 62.9951L101.203 63.2475C101.293 64.02 101.882 64.6406 102.649 64.7707L102.983 64.8275C103.178 64.8604 103.178 65.1396 102.983 65.1725L102.649 65.2293C101.882 65.3594 101.293 65.98 101.203 66.7525L101.174 67.0049C101.15 67.2113 100.85 67.2113 100.826 67.0049L100.797 66.7525C100.707 65.98 100.118 65.3594 99.3513 65.2293L99.0167 65.1725C98.8224 65.1396 98.8224 64.8604 99.0167 64.8275L99.3513 64.7707C100.118 64.6406 100.707 64.02 100.797 63.2475L100.826 62.9951Z",
    fill: "url(#paint1_linear_2002_80)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_80",
    x1: "110",
    y1: "94.7742",
    x2: "110",
    y2: "109.226",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_80",
    x1: "101",
    y1: "62",
    x2: "101",
    y2: "68",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.031 89.827C109.285 88.821 110.715 88.821 110.969 89.827L111.323 91.2234C112.605 96.2827 116.721 100.128 121.856 101.063C122.898 101.253 122.898 102.747 121.856 102.937C116.721 103.872 112.605 107.717 111.323 112.777L110.969 114.173C110.715 115.179 109.285 115.179 109.031 114.173L108.677 112.777C107.395 107.717 103.279 103.872 98.1441 102.937C97.1022 102.747 97.1022 101.253 98.1441 101.063C103.279 100.128 107.395 96.2827 108.677 91.2234L109.031 89.827Z",
    fill: "url(#paint0_linear_2002_86)"
  }), /*#__PURE__*/React__default.createElement("path", {
    opacity: "0.5",
    d: "M80.1757 78.7016C80.2567 78.3597 80.7433 78.3597 80.8243 78.7016L81.2373 80.4437C81.6667 82.255 83.1314 83.6378 84.9644 83.9624L86.1466 84.1718C86.5135 84.2368 86.5135 84.7633 86.1466 84.8283L84.9644 85.0376C83.1314 85.3622 81.6667 86.7451 81.2373 88.5564L80.8243 90.2985C80.7433 90.6404 80.2567 90.6404 80.1757 90.2985L79.7627 88.5564C79.3333 86.7451 77.8686 85.3622 76.0356 85.0376L74.8534 84.8283C74.4865 84.7633 74.4865 84.2368 74.8534 84.1718L76.0356 83.9624C77.8686 83.6378 79.3333 82.255 79.7627 80.4437L80.1757 78.7016Z",
    fill: "url(#paint1_linear_2002_86)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_86",
    x1: "110",
    y1: "85.4839",
    x2: "110",
    y2: "118.516",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_86",
    x1: "80.5",
    y1: "77.3334",
    x2: "80.5",
    y2: "91.6667",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))), /*#__PURE__*/React__default.createElement("svg", {
    className: styles === null || styles === void 0 ? void 0 : styles.star,
    width: "400",
    height: "400",
    viewBox: "0 0 200 200",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M109.676 92.9819C109.759 92.6436 110.24 92.6436 110.324 92.9819L111.432 97.4858C111.869 99.2629 113.305 100.62 115.104 100.957L118.918 101.672C119.281 101.74 119.281 102.26 118.918 102.328L115.104 103.042C113.305 103.38 111.869 104.737 111.432 106.514L110.324 111.018C110.24 111.356 109.759 111.356 109.676 111.018L108.568 106.514C108.131 104.737 106.695 103.38 104.896 103.042L101.081 102.328C100.719 102.26 100.719 101.74 101.081 101.672L104.896 100.957C106.695 100.62 108.131 99.2629 108.568 97.4858L109.676 92.9819Z",
    fill: "url(#paint0_linear_2002_92)"
  }), /*#__PURE__*/React__default.createElement("path", {
    d: "M79.527 67.1048C79.7701 66.079 81.2299 66.079 81.473 67.1048L82.7119 72.331C84 77.7648 88.3942 81.9135 93.8931 82.8873L97.4398 83.5154C98.5406 83.7103 98.5406 85.2898 97.4398 85.4847L93.8931 86.1128C88.3942 87.0867 84 91.2353 82.7119 96.6691L81.473 101.895C81.2299 102.921 79.7701 102.921 79.527 101.895L78.2881 96.6691C77 91.2353 72.6058 87.0867 67.1069 86.1128L63.5602 85.4847C62.4594 85.2898 62.4594 83.7103 63.5602 83.5154L67.1069 82.8873C72.6058 81.9135 77 77.7648 78.2881 72.331L79.527 67.1048Z",
    fill: "url(#paint1_linear_2002_92)"
  }), /*#__PURE__*/React__default.createElement("defs", null, /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint0_linear_2002_92",
    x1: "110",
    y1: "91.3333",
    x2: "110",
    y2: "112.667",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })), /*#__PURE__*/React__default.createElement("linearGradient", {
    id: "paint1_linear_2002_92",
    x1: "80.5",
    y1: "63.0001",
    x2: "80.5",
    y2: "106",
    gradientUnits: "userSpaceOnUse"
  }, /*#__PURE__*/React__default.createElement("stop", {
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "0.22",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  }), /*#__PURE__*/React__default.createElement("stop", {
    offset: "1",
    stopColor: themes === null || themes === void 0 ? void 0 : themes.primaryColor
  })))))))) : /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchOuterContainer
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.wrapper
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.closeIcon,
    onClick: removeSearchQuery
  }, /*#__PURE__*/React__default.createElement("svg", {
    width: "19",
    height: "19",
    viewBox: "0 0 19 19",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, /*#__PURE__*/React__default.createElement("path", {
    d: "M15.5 7.5H11.5M11.5 7.5V3.5M11.5 7.5L17.5 1.5M3.5 11.5H7.5M7.5 11.5V15.5M7.5 11.5L1.5 17.5",
    stroke: themes === null || themes === void 0 ? void 0 : themes.primaryColor,
    strokeWidth: "2",
    strokeLinecap: "round",
    strokeLinejoin: "round"
  })))), /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchResultContainer
  }, /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchResultDescription
  }, /*#__PURE__*/React__default.createElement("div", {
    style: {
      display: 'inline-block'
    }
  }, result !== null && result !== void 0 && result.sanitizedMessage ? /*#__PURE__*/React__default.createElement("p", null, result === null || result === void 0 ? void 0 : result.sanitizedMessage) : /*#__PURE__*/React__default.createElement("p", null, "No result found"))), /*#__PURE__*/React__default.createElement("div", {
    className: styles.searchContainerGrid
  }, result === null || result === void 0 ? void 0 : (_result$relatedData2 = result.relatedData) === null || _result$relatedData2 === void 0 ? void 0 : _result$relatedData2.map(function (e, index) {
    return /*#__PURE__*/React__default.createElement("div", {
      key: index,
      className: styles.searchResultCard + " " + (!(themes !== null && themes !== void 0 && themes.showImages) ? styles.noImage : '') + " " + (window.innerWidth <= 460 ? styles.noImage : '')
    }, window.innerWidth <= 460 ? /*#__PURE__*/React__default.createElement("div", {
      className: styles.linkIcon,
      style: {
        marginTop: '3px'
      }
    }, /*#__PURE__*/React__default.createElement("svg", {
      style: {
        width: '8px'
      },
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 320 512",
      fill: themes === null || themes === void 0 ? void 0 : themes.primaryColor
    }, /*#__PURE__*/React__default.createElement("path", {
      stroke: themes === null || themes === void 0 ? void 0 : themes.primaryColor,
      d: "M310.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-192 192c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L242.7 256 73.4 86.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l192 192z"
    }))) : themes !== null && themes !== void 0 && themes.showImages ? e !== null && e !== void 0 && e.image ? /*#__PURE__*/React__default.createElement("img", {
      src: e === null || e === void 0 ? void 0 : e.image,
      alt: "Product Development",
      className: styles.searchResultImage
    }) : (e === null || e === void 0 ? void 0 : e.category) === 'pdfs' ? /*#__PURE__*/React__default.createElement("img", {
      src: PdfPlaceholder,
      alt: "PDF",
      className: styles.pdfImagePlaceholder
    }) : /*#__PURE__*/React__default.createElement("img", {
      src: NoImagePlaceholder,
      alt: "No Image",
      className: styles.NoImagePlaceholder
    }) : /*#__PURE__*/React__default.createElement("div", {
      className: styles.linkIcon,
      style: {
        marginTop: '3px'
      }
    }, /*#__PURE__*/React__default.createElement("svg", {
      style: {
        width: '8px'
      },
      xmlns: "http://www.w3.org/2000/svg",
      viewBox: "0 0 320 512",
      fill: themes === null || themes === void 0 ? void 0 : themes.primaryColor
    }, /*#__PURE__*/React__default.createElement("path", {
      stroke: themes === null || themes === void 0 ? void 0 : themes.primaryColor,
      d: "M310.6 233.4c12.5 12.5 12.5 32.8 0 45.3l-192 192c-12.5 12.5-32.8 12.5-45.3 0s-12.5-32.8 0-45.3L242.7 256 73.4 86.6c-12.5-12.5-12.5-32.8 0-45.3s32.8-12.5 45.3 0l192 192z"
    }))), /*#__PURE__*/React__default.createElement("div", {
      className: styles.searchResultContent
    }, /*#__PURE__*/React__default.createElement("p", {
      className: styles.searchResultTitle
    }, (e === null || e === void 0 ? void 0 : e.title) || 'No title available'), /*#__PURE__*/React__default.createElement("p", {
      className: styles.searchResultDescription + " " + styles.bottom
    }, (e === null || e === void 0 ? void 0 : e.description) || 'No description available'), /*#__PURE__*/React__default.createElement("a", {
      href: e.pageUrl,
      style: {
        margin: 0
      },
      target: "_blank",
      rel: "noopener noreferrer",
      onClick: function onClick() {
        return handleClick(e.pageUrl, e.id);
      },
      className: styles.searchResultReadMore
    }, "Read more")));
  }))))));
};

module.exports = SearchBar;
//# sourceMappingURL=index.js.map
